<?php

namespace App\Filament\Resources\CarouselSlides\Schemas;

use Filament\Forms\Components\FileUpload;
use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Toggle;
use Filament\Schemas\Schema;

class CarouselSlideForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                FileUpload::make('image')
                    ->label('Surat')
                    ->image()
                    ->visibility('public')
                    ->required(),
                    
                TextInput::make('title')
                    ->label('Sözbaşy'),
                TextInput::make('subtitle')
                    ->label('Sözbaşy asty'),
                TextInput::make('order')
                    ->label('Tertibi')
                    ->required()
                    ->numeric()
                    ->default(0),
                Toggle::make('is_active')
                    ->label('Işjeňmi')
                    ->default(true)
                    ->required(),
            ]);
    }
}
